Update Expected Switch

View as Markdown
Update an existing Expected Switch by ID. Org must have an Infrastructure Provider entity. User must have `FORGE_PROVIDER_ADMIN` role. Infrastructure Provider must own the Expected Switch. Alternatively, Tenant Admins with `TargetedInstanceCreation` capability can also update Expected Switches if they have an account with the Site's Infrastructure Provider.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://carbide-rest-api.carbide.svc.cluster.local/v2/org/$ORG_NAME/carbide/user/current ```

Path parameters

orgstringRequired
expectedSwitchIdstringRequired

Request

Expected Switch update request
idstring or nullOptionalformat: "uuid"

ID of the Expected Switch to update (ignored for single update, used for identification in batch operations).

bmcMacAddressstring or nullOptionalformat: "^([0-9A-Fa-f]{2}[:-]){5}([0-9A-Fa-f]{2})$"

MAC address of the Expected Switch’s BMC (Baseboard Management Controller)

defaultBmcUsernamestring or nullOptional<=16 characters
Username for accessing the Expected Switch's BMC
defaultBmcPasswordstring or nullOptional<=20 characters
Password for accessing the Expected Switch's BMC
switchSerialNumberstring or nullOptional1-32 characters
Serial number of the Expected Switch
nvOsUsernamestring or nullOptional
NvOS username for the Expected Switch
nvOsPasswordstring or nullOptional
NvOS password for the Expected Switch
rackIdstring or nullOptional
Optional rack identifier for this component
namestring or nullOptional
Display name for this component
manufacturerstring or nullOptional
Manufacturer of this component
modelstring or nullOptional
Model of this component
descriptionstring or nullOptional
Description of this component
firmwareVersionstring or nullOptional
Firmware version of this component
slotIdinteger or nullOptional
Slot ID within the rack
trayIdxinteger or nullOptional
Tray index within the rack
hostIdinteger or nullOptional
Host ID within the tray
labelsmap from strings to stringsOptional

User-defined key-value pairs for organizing and categorizing Expected Switches

Response

OK
idstringRead-onlyformat: "uuid"
Unique identifier for the Expected Switch
siteIdstringRead-onlyformat: "uuid"
ID of the site the Expected Switch belongs to
bmcMacAddressstringformat: "^([0-9A-Fa-f]{2}[:-]){5}([0-9A-Fa-f]{2})$"

MAC address of the Expected Switch’s BMC (Baseboard Management Controller)

switchSerialNumberstring
Serial number of the Expected Switch
rackIdstring or null
Optional rack identifier for this component
namestring or null
Display name for this component
manufacturerstring or null
Manufacturer of this component
modelstring or null
Model of this component
descriptionstring or null
Description of this component
firmwareVersionstring or null
Firmware version of this component
slotIdinteger or null
Slot ID within the rack
trayIdxinteger or null
Tray index within the rack
hostIdinteger or null
Host ID within the tray
labelsmap from strings to strings

User-defined key-value pairs for organizing and categorizing Expected Switches

createddatetimeRead-only
ISO 8601 datetime when the Expected Switch was created
updateddatetimeRead-only
ISO 8601 datetime when the Expected Switch was last updated

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error